﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ColumnChooserCaptionTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ColumnChooserDialog dlg = new ColumnChooserDialog();
            dlg.Owner = this;           
            dlg.ColumnChooserControl.MultipleBandSupport = MultipleBandSupport.SingleBandOnly;
            UltraGridColumnChooser cc = dlg.ColumnChooserControl;
            cc.SourceGrid = this.ultraGrid1;
            //Specifically showing the very first band in Column Chooser only. 
            cc.CurrentBand = this.ultraGrid1.DisplayLayout.Bands[0];
            dlg.Show();

            this.ultraGrid1.DisplayLayout.Bands[0].Columns[0].ColumnChooserCaption = "Apollo";
            this.ultraGrid1.DisplayLayout.Bands[1].Hidden = true;
        }
    }
}
